Commit 02f34f54 authored by Arnaud Blanchard's avatar Arnaud Blanchard
Browse files

Fix image checking

parent a4c0477c
...@@ -28,8 +28,8 @@ trap 'rm -f "$LOG"' EXIT INT HUP TERM ...@@ -28,8 +28,8 @@ trap 'rm -f "$LOG"' EXIT INT HUP TERM
$blaar_dir/compile.sh t_convert_image 2>&1 > $LOG || { cat $LOG; echo "ERROR: Fail compiling t_load_and_save_png"; exit 1; } # 2>&1 : stderr is redirected like stdout $blaar_dir/compile.sh t_convert_image 2>&1 > $LOG || { cat $LOG; echo "ERROR: Fail compiling t_load_and_save_png"; exit 1; } # 2>&1 : stderr is redirected like stdout
$blaar_dir/bin/t_convert_image 2>&1 > $LOG || { cat $LOG; echo "ERROR: Fail executing bin/t_load_and_save_png"; exit 2; } $blaar_dir/bin/t_convert_image 2>&1 > $LOG || { cat $LOG; echo "ERROR: Fail executing bin/t_load_and_save_png"; exit 2; }
git diff --exit-code t_convert_image/float_result.tsv 2>&1 > $LOG || { cat $LOG; echo "ERROR: The result of $test/float_result.tsv is not the one expected"; exit 3; } git diff --exit-code t_convert_image/float_result.tsv 2>&1 > $LOG || { cat $LOG; echo "ERROR: The result of t_convert_image/float_result.tsv is not the one expected"; exit 3; }
git diff --exit-code t_convert_image/uchar_result.tsv 2>&1 > $LOG || { cat $LOG; echo "ERROR: The result of $test/uchar_result.tsv is not the one expected"; exit 3; } git diff --exit-code t_convert_image/uchar_result.tsv 2>&1 > $LOG || { cat $LOG; echo "ERROR: The result of t_convert_image/uchar_result.tsv is not the one expected"; exit 3; }
echo "- t_convert_image: compilation:OK, execution:OK, results:OK" echo "- t_convert_image: compilation:OK, execution:OK, results:OK"
echo echo
......
0.655924 0.665690 0.564779 0.542318 0.539388 0.541667 0.512044 0.475586 0.650065 0.576172 0.559896 0.559570 0.531576 0.531250 0.495443 0.469401 0.655924 0.665690 0.564779 0.542318 0.539388 0.541667 0.512044 0.475586 0.650065 0.576172 0.559896 0.559570 0.531576 0.531250 0.495443 0.469401
0.623372 0.570638 0.557292 0.563802 0.527344 0.546875 0.495117 0.482422 0.569336 0.534180 0.556315 0.555013 0.510091 0.540039 0.476562 0.467448 0.623372 0.570638 0.557292 0.563802 0.527344 0.546875 0.495117 0.482422 0.569336 0.534180 0.556315 0.555013 0.510091 0.540039 0.476562 0.467448
0.528320 0.500651 0.546224 0.550456 0.502930 0.532878 0.480143 0.489258 0.435221 0.487956 0.539714 0.534180 0.492188 0.502930 0.452799 0.459310 0.528320 0.500651 0.546224 0.550456 0.502930 0.532878 0.480143 0.489258 0.435221 0.487956 0.539714 0.534180 0.492188 0.502930 0.452799 0.459310
0.383789 0.435221 0.522786 0.500977 0.462891 0.469727 0.455729 0.488932 0.349935 0.429036 0.513346 0.465495 0.422852 0.433268 0.430339 0.444987 0.383789 0.435221 0.522786 0.500977 0.462891 0.469727 0.455729 0.488932 0.349935 0.429036 0.513346 0.465495 0.422852 0.433268 0.430339 0.444987
0.324219 0.393229 0.492188 0.419271 0.378581 0.405599 0.441081 0.455729 0.320638 0.388021 0.480143 0.418294 0.341146 0.350260 0.388021 0.407878 0.324219 0.393229 0.492188 0.419271 0.378581 0.405599 0.441081 0.455729 0.320638 0.388021 0.480143 0.418294 0.341146 0.350260 0.388021 0.407878
0.311523 0.349284 0.411133 0.340820 0.291016 0.302083 0.368815 0.405273 0.305339 0.323568 0.355143 0.319010 0.273438 0.292643 0.338216 0.379232 0.311523 0.349284 0.411133 0.340820 0.291016 0.302083 0.368815 0.405273 0.305339 0.323568 0.355143 0.319010 0.273438 0.292643 0.338216 0.379232
0.298503 0.295573 0.282552 0.305664 0.254883 0.261719 0.286133 0.355143 0.283529 0.279297 0.259440 0.263021 0.239258 0.245768 0.279948 0.349935 0.298503 0.295573 0.282552 0.305664 0.254883 0.261719 0.286133 0.355143 0.283529 0.279297 0.259440 0.263021 0.239258 0.245768 0.279948 0.349935
0.291341 0.282227 0.246745 0.246745 0.235677 0.232422 0.244466 0.279297 0.272461 0.261719 0.240234 0.232747 0.229167 0.224935 0.236003 0.277995 0.291341 0.282227 0.246745 0.246745 0.235677 0.232422 0.244466 0.279297 0.272461 0.261719 0.240234 0.232747 0.229167 0.224935 0.236003 0.277995
0.265951 0.265299 0.250651 0.260417 0.232096 0.219401 0.228190 0.236654 0.242839 0.257161 0.249023 0.257812 0.237956 0.215495 0.227214 0.232096 0.265951 0.265299 0.250651 0.260417 0.232096 0.219401 0.228190 0.236654 0.242839 0.257161 0.249023 0.257812 0.237956 0.215495 0.227214 0.232096
0.240885 0.254883 0.281576 0.262044 0.244141 0.223958 0.215169 0.221029 0.237630 0.239583 0.286458 0.262044 0.241211 0.225911 0.205404 0.220703 0.240885 0.254883 0.281576 0.262044 0.244141 0.223958 0.215169 0.221029 0.237630 0.239583 0.286458 0.262044 0.241211 0.225911 0.205404 0.220703
0.241536 0.276693 0.351562 0.336589 0.269531 0.225586 0.216146 0.215495 0.233073 0.281576 0.340495 0.337565 0.262695 0.221354 0.221680 0.216797 0.241536 0.276693 0.351562 0.336589 0.269531 0.225586 0.216146 0.215495 0.233073 0.281576 0.340495 0.337565 0.262695 0.221354 0.221680 0.216797
0.246745 0.297526 0.419922 0.421875 0.312174 0.231120 0.216471 0.217773 0.248372 0.294922 0.422852 0.417643 0.311523 0.237630 0.213542 0.246094 0.246745 0.297526 0.419922 0.421875 0.312174 0.231120 0.216471 0.217773 0.248372 0.294922 0.422852 0.417643 0.311523 0.237630 0.213542 0.246094
0.269857 0.350260 0.468099 0.485677 0.393229 0.294271 0.211589 0.241536 0.257812 0.357422 0.500000 0.495443 0.401693 0.297852 0.201172 0.242188 0.269857 0.350260 0.468099 0.485677 0.393229 0.294271 0.211589 0.241536 0.257812 0.357422 0.500000 0.495443 0.401693 0.297852 0.201172 0.242188
0.276042 0.338542 0.522135 0.519531 0.466146 0.386393 0.232747 0.266602 0.279622 0.347005 0.554688 0.539388 0.495443 0.408203 0.230143 0.235026 0.276042 0.338542 0.522135 0.519531 0.466146 0.386393 0.232747 0.266602 0.279622 0.347005 0.554688 0.539388 0.495443 0.408203 0.230143 0.235026
0.282227 0.275391 0.545247 0.546875 0.533529 0.471029 0.290365 0.250326 0.293945 0.286133 0.565430 0.555664 0.545247 0.509115 0.304688 0.265951 0.282227 0.275391 0.545247 0.546875 0.533529 0.471029 0.290365 0.250326 0.293945 0.286133 0.565430 0.555664 0.545247 0.509115 0.304688 0.265951
0.327474 0.286458 0.565430 0.556641 0.559245 0.546224 0.362956 0.287435 0.322266 0.295898 0.579753 0.590169 0.551758 0.564128 0.408529 0.331380 0.327474 0.286458 0.565430 0.556641 0.559245 0.546224 0.362956 0.287435 0.322266 0.295898 0.579753 0.590169 0.551758 0.564128 0.408529 0.331380
194 194 191 166 125 122 126 126 139 141 144 154 153 156 152 147 127 153 159 162 166 162 157 143 139 130 133 120 106 106 94 91 194 194 191 166 125 122 126 126 139 141 144 154 153 156 152 147 127 153 159 162 166 162 157 143 139 130 133 120 106 106 94 91
195 188 152 114 116 126 136 134 135 137 139 148 148 144 149 143 124 129 146 169 164 161 158 147 130 134 141 128 99 113 97 101 195 188 152 114 116 126 136 134 135 137 139 148 148 144 149 143 124 129 146 169 164 161 158 147 130 134 141 128 99 113 97 101
185 142 112 117 118 124 131 130 127 128 142 139 137 136 142 135 122 89 127 153 158 156 160 139 120 138 141 121 101 115 109 112 185 142 112 117 118 124 131 130 127 128 142 139 137 136 142 135 122 89 127 153 158 156 160 139 120 138 141 121 101 115 109 112
127 105 103 113 118 117 119 125 120 123 127 123 119 126 132 114 95 63 95 132 151 146 144 122 103 124 131 97 100 119 121 130 127 105 103 113 118 117 119 125 120 123 127 123 119 126 132 114 95 63 95 132 151 146 144 122 103 124 131 97 100 119 121 130
91 106 100 109 113 112 106 102 99 104 106 107 109 110 108 93 73 59 76 114 145 131 128 91 74 108 118 81 113 116 130 132 91 106 100 109 113 112 106 102 99 104 106 107 109 110 108 93 73 59 76 114 145 131 128 91 74 108 118 81 113 116 130 132
92 102 102 102 105 108 105 101 81 83 80 76 86 79 85 67 63 59 66 85 107 98 81 58 55 76 76 74 94 116 127 132 92 102 102 102 105 108 105 101 81 83 80 76 86 79 85 67 63 59 66 85 107 98 81 58 55 76 76 74 94 116 127 132
87 100 94 84 77 78 93 91 73 73 75 71 65 68 64 62 60 55 59 62 67 64 66 59 54 57 59 59 67 90 129 106 87 100 94 84 77 78 93 91 73 73 75 71 65 68 64 62 60 55 59 62 67 64 66 59 54 57 59 59 67 90 129 106
85 87 81 80 68 63 68 73 66 64 67 63 62 65 59 61 63 60 62 63 60 58 55 54 55 53 53 52 55 65 80 83 85 87 81 80 68 63 68 73 66 64 67 63 62 65 59 61 63 60 62 63 60 58 55 54 55 53 53 52 55 65 80 83
77 76 73 67 64 61 64 62 61 62 62 60 61 57 60 59 57 60 71 57 63 65 62 75 54 57 51 48 57 55 54 66 77 76 73 67 64 61 64 62 61 62 62 60 61 57 60 59 57 60 71 57 63 65 62 75 54 57 51 48 57 55 54 66
65 64 67 64 60 63 63 60 69 60 58 60 61 56 58 56 59 55 61 65 70 92 78 64 61 56 50 58 50 50 58 51 65 64 67 64 60 63 63 60 69 60 58 60 61 56 58 56 59 55 61 65 70 92 78 64 61 56 50 58 50 50 58 51
65 61 57 59 63 65 61 63 65 61 64 56 53 54 57 57 58 61 89 75 104 125 118 100 80 66 56 52 50 61 53 51 65 61 57 59 63 65 61 63 65 61 64 56 53 54 57 57 58 61 89 75 104 125 118 100 80 66 56 52 50 61 53 51
58 59 62 59 58 59 59 66 58 62 58 58 55 58 59 56 63 69 81 99 143 166 156 148 112 85 64 53 52 53 55 50 58 59 62 59 58 59 59 66 58 62 58 58 55 58 59 56 63 69 81 99 143 166 156 148 112 85 64 53 52 53 55 50
58 60 59 60 58 62 63 57 55 64 61 62 53 57 59 85 75 80 104 133 164 192 195 179 155 126 107 69 54 50 49 51 58 60 59 60 58 62 63 57 55 64 61 62 53 57 59 85 75 80 104 133 164 192 195 179 155 126 107 69 54 50 49 51
52 54 62 63 69 84 77 53 58 69 70 56 52 47 50 95 97 76 93 124 175 203 204 194 179 167 161 105 81 55 55 70 52 54 62 63 69 84 77 53 58 69 70 56 52 47 50 95 97 76 93 124 175 203 204 194 179 167 161 105 81 55 55 70
53 57 61 74 89 97 90 61 70 87 89 60 49 47 48 64 98 78 64 80 163 206 205 201 194 192 185 145 115 83 72 69 53 57 61 74 89 97 90 61 70 87 89 60 49 47 48 64 98 78 64 80 163 206 205 201 194 192 185 145 115 83 72 69
58 64 66 79 97 109 99 61 66 103 102 86 59 52 52 76 122 88 70 75 163 206 206 201 202 198 193 175 150 107 84 79 58 64 66 79 97 109 99 61 66 103 102 86 59 52 52 76 122 88 70 75 163 206 206 201 202 198 193 175 150 107 84 79
58 58 76 79 102 120 114 80 62 100 106 100 82 76 76 97 112 87 65 96 182 210 206 205 207 202 200 191 174 135 97 82 58 58 76 79 102 120 114 80 62 100 106 100 82 76 76 97 112 87 65 96 182 210 206 205 207 202 200 191 174 135 97 82
55 57 79 84 100 121 128 108 77 68 93 107 93 92 99 92 82 71 77 138 200 211 208 207 210 204 205 199 184 152 118 86 55 57 79 84 100 121 128 108 77 68 93 107 93 92 99 92 82 71 77 138 200 211 208 207 210 204 205 199 184 152 118 86
58 63 80 92 97 110 130 122 98 68 70 87 93 98 89 86 68 76 126 181 209 211 211 210 210 203 204 200 181 161 130 103 58 63 80 92 97 110 130 122 98 68 70 87 93 98 89 86 68 76 126 181 209 211 211 210 210 203 204 200 181 161 130 103
61 55 63 78 100 112 118 128 121 98 71 65 64 69 69 76 89 120 169 201 208 207 209 208 208 201 199 192 173 158 137 123 61 55 63 78 100 112 118 128 121 98 71 65 64 69 69 76 89 120 169 201 208 207 209 208 208 201 199 192 173 158 137 123
75 59 58 83 108 120 119 121 125 122 107 93 76 78 88 100 139 167 193 205 205 204 204 207 205 199 194 186 163 152 142 138 75 59 58 83 108 120 119 121 125 122 107 93 76 78 88 100 139 167 193 205 205 204 204 207 205 199 194 186 163 152 142 138
91 78 76 91 107 122 127 127 131 139 128 120 114 116 129 145 169 190 199 201 204 205 207 208 206 200 195 176 153 140 148 145 91 78 76 91 107 122 127 127 131 139 128 120 114 116 129 145 169 190 199 201 204 205 207 208 206 200 195 176 153 140 148 145
113 105 99 102 103 102 118 127 137 146 148 140 141 146 153 160 183 187 193 197 199 201 205 207 203 194 178 160 149 144 147 154 113 105 99 102 103 102 118 127 137 146 148 140 141 146 153 160 183 187 193 197 199 201 205 207 203 194 178 160 149 144 147 154
129 123 114 105 115 92 84 121 132 141 142 153 154 163 161 160 169 172 173 187 184 190 192 190 182 174 171 176 164 153 147 141 129 123 114 105 115 92 84 121 132 141 142 153 154 163 161 160 169 172 173 187 184 190 192 190 182 174 171 176 164 153 147 141
141 134 119 115 122 112 117 128 120 119 123 136 138 146 157 159 153 160 176 169 175 184 184 174 184 184 189 190 183 167 162 159 141 134 119 115 122 112 117 128 120 119 123 136 138 146 157 159 153 160 176 169 175 184 184 174 184 184 189 190 183 167 162 159
145 139 128 123 133 132 131 132 114 116 115 131 117 102 126 139 141 148 148 146 146 165 159 141 160 163 167 180 178 178 176 178 145 139 128 123 133 132 131 132 114 116 115 131 117 102 126 139 141 148 148 146 146 165 159 141 160 163 167 180 178 178 176 178
150 142 139 136 142 144 136 129 115 112 126 132 109 98 125 136 136 139 136 111 112 134 125 109 134 169 169 171 171 182 176 175 150 142 139 136 142 144 136 129 115 112 126 132 109 98 125 136 136 139 136 111 112 134 125 109 134 169 169 171 171 182 176 175
154 149 142 151 144 145 138 135 117 125 132 130 117 100 133 133 143 140 145 123 118 134 133 109 132 169 157 150 160 168 164 167 154 149 142 151 144 145 138 135 117 125 132 130 117 100 133 133 143 140 145 123 118 134 133 109 132 169 157 150 160 168 164 167
149 150 149 153 154 151 145 137 126 133 134 130 121 120 139 133 139 144 147 132 116 139 146 137 142 168 152 150 156 156 156 156 149 150 149 153 154 151 145 137 126 133 134 130 121 120 139 133 139 144 147 132 116 139 146 137 142 168 152 150 156 156 156 156
147 144 147 148 154 155 149 138 138 144 143 135 130 132 139 132 140 142 138 141 127 145 154 148 149 163 157 158 156 155 156 150 147 144 147 148 154 155 149 138 138 144 143 135 130 132 139 132 140 142 138 141 127 145 154 148 149 163 157 158 156 155 156 150
149 143 147 148 150 150 152 145 143 151 147 144 141 140 143 143 146 146 152 150 145 154 153 161 157 163 164 169 164 159 154 156 149 143 147 148 150 150 152 145 143 151 147 144 141 140 143 143 146 146 152 150 145 154 153 161 157 163 164 169 164 159 154 156
156 155 151 150 146 152 147 143 153 152 146 148 145 145 148 145 149 146 154 153 155 155 160 159 161 166 166 168 169 160 163 164 156 155 151 150 146 152 147 143 153 152 146 148 145 145 148 145 149 146 154 153 155 155 160 159 161 166 166 168 169 160 163 164
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment